include '%lib%/compiler/executable.inc'

_BinaryType GUI

include '%lib%/macros/allmacros.inc'
include '%lib%/equates/allequates.inc'

include '%finc%/libs/msgutils.inc'
include '%finc%/libs/templates.inc'
include '%finc%/libs/TForm.inc'
include '%finc%/libs/parents.inc'

_CodeSection

include '%lib%/system/memory.asm'
include '%lib%/data/arrays.asm'
include '%lib%/data/strlib.asm'

include '%finc%/libs/msgutils.asm'
include '%finc%/libs/templates.asm'
include '%finc%/libs/TForm.asm'
include '%finc%/libs/parents.asm'


include 'MainForm.frm'

uglobal
  hMainForm dd ?
  hInstance dd ?
endg

start:
        invoke  GetModuleHandle, 0
        mov     [hInstance], eax

        InitializeAll

        call    RegisterFormClass
        stdcall CreateForm, frmMainForm, NULL
        mov     [hMainForm],ebx

include '%finc%/libs/mainloop.asm'

        push    eax
        FinalizeAll
        invoke  ExitProcess


_DataSection

  IncludeAllGlobals


_ImportSection

GlobalAPI equ ascii
include '%lib%/imports/allimports.asm'



