; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;   Description: Very simple test application for FreshLib.
;                The content may change arbitrary.
;
;   Target OS: All/Linux/Win32 - depending on current test needs.
;
;   Dependencies:
;
;   Notes: The main test program calls "PrepareDemo" procedure.
;_________________________________________________________________________________________

__TestGround:

; Global data...
iglobal

__TestData:

frmMainForm:
        ObjTemplate  tfParent or tfEnd, Form, frmMain, \
                     x, 300,        \
                     y, 250,        \
                     width, 360,    \
                     height, 240,   \
                     Visible, TRUE, \
                     Caption, 'FreshLib minimal application test.'
           ObjTemplate tfChild, TreeView, tvTestTree, x, 200, y, 8, width, 150, height, 224, Visible, TRUE, Align, waRight
           ObjTemplate tfChild or tfEnd, Button, btnOpenModal, x, 50, y, 50, width, 120, height, 75, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle or dtfWordWrap , Caption, 'Click to check your assembly skills.', OnClick, OpenModalForm


__TestDataSize = $ - __TestData
endg




proc PrepareDemo
begin
        stdcall CreateFromTemplate, frmMainForm, 0
        mov     ecx, [Application]
        mov     [ecx+TApplication.MainWindow], frmMain

        return
endp


proc OpenModalForm, .self, .button
begin
        push    ebx

        stdcall ShowMessage, [frmMain], smiQuestion, .msgTitle, .msgTest, smbYes or smbNo or smbMaybe ; or smbAbort or smbRetry or smbIgnore or smbYes or smbNo or smbHelp

        mov     esi, .msgYes
        mov     ecx, smiInformation
        cmp     eax, mrYes
        je      .finish

        mov     esi, .msgNo
        mov     ecx, smiError
        cmp     eax, mrNo
        je      .finish

        mov     esi, .msgMaybe
        mov     ecx, smiQuestion
        cmp     eax, mrMaybe
        je      .finish

        mov     esi, .msgRefuse
        mov     ecx, smiWarning
.finish:
        stdcall ShowMessage, [frmMain], ecx, .msgTitle2, esi, smbOK
        pop     ebx
        return

.msgTest   db 'Are you agree, that FlatAssembler is the best assembler world-wide?', 0
.msgYes    db 'You really understand the spirit of the assembly! Congratulations!', 0
.msgNo     db "So, go write some C# and don't mess with assembly. It is not for you.", 0
.msgMaybe  db "You should forget about your doubts and reject these HLL temptations, or your soul will be lost forever! Go, write some assembly and feel the power!", 0
.msgRefuse db "It is wrong to avoid to answer, only because you are not sure...", 0
.msgTitle  db 'One question test:', 0
.msgTitle2 db 'Test results', 0
endp




proc SetModalResult, .self, .button
begin
        push    eax
        stdcall Get, [.self], TWindow.Parent
        mov     [eax+TForm.ModalResult], mrOK
        pop     eax
        return
endp


DispSize 'Test ground dummy code:', ($-__TestGround)+__TestDataSize