; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: libX11 (XLib) import library.
;
;  Target OS: Linux
;
;  Dependencies:
;
;  Notes: Needs editing of the function arguments
;_________________________________________________________________________________________


import_proto 'libX11.so.6',                             \
        XActivateScreenSaver                    ,<NONE>,\
        XAddConnectionWatch                     ,<NONE>,\
        XAddExtension                           ,<NONE>,\
        XAddHost                                ,<NONE>,\
        XAddHosts                               ,<NONE>,\
        XAddPixel                               ,<NONE>,\
        XAddToExtensionList                     ,<NONE>,\
        XAddToSaveSet                           ,<NONE>,\
        XAllPlanes                              ,<NONE>,\
        XAllocClassHint                         ,<NONE>,\
        XAllocColor                             ,<NONE>,\
        XAllocColorCells                        ,<NONE>,\
        XAllocColorPlanes                       ,<NONE>,\
        XAllocIconSize                          ,<NONE>,\
        XAllocNamedColor                        ,<NONE>,\
        XAllocSizeHints                         ,<NONE>,\
        XAllocStandardColormap                  ,<NONE>,\
        XAllocWMHints                           ,<NONE>,\
        XAllowEvents                            ,<NONE>,\
        XAutoRepeatOff                          ,<NONE>,\
        XAutoRepeatOn                           ,<NONE>,\
        XBaseFontNameListOfFontSet              ,<NONE>,\
        XBell                                   ,<NONE>,\
        XBitmapBitOrder                         ,<NONE>,\
        XBitmapPad                              ,<NONE>,\
        XBitmapUnit                             ,<NONE>,\
        XBlackPixel                             ,<NONE>,\
        XBlackPixelOfScreen                     ,<NONE>,\
        XCellsOfScreen                          ,<NONE>,\
        XChangeActivePointerGrab                ,<NONE>,\
        XChangeGC                               ,<NONE>,\
        XChangeKeyboardControl                  ,<NONE>,\
        XChangeKeyboardMapping                  ,<NONE>,\
        XChangePointerControl                   ,<NONE>,\
        XChangeProperty                         ,<NONE>,\
        XChangeSaveSet                          ,<NONE>,\
        XChangeWindowAttributes                 ,<.display, .hwnd, .valmask, .pSetWinAttr>, \
        XCheckIfEvent                           ,<NONE>,\
        XCheckMaskEvent                         ,<NONE>,\
        XCheckTypedEvent                        ,<.display, .event_type, .pEvent>,\
        XCheckTypedWindowEvent                  ,<NONE>,\
        XCheckWindowEvent                       ,<NONE>,\
        XCirculateSubwindows                    ,<NONE>,\
        XCirculateSubwindowsDown                ,<NONE>,\
        XCirculateSubwindowsUp                  ,<NONE>,\
        XClearArea                              ,<NONE>,\
        XClearWindow                            ,<NONE>,\
        XClipBox                                ,<NONE>,\
        XCloseDisplay                           ,<NONE>,\
        XCloseIM                                ,<NONE>,\
        XCloseOM                                ,<NONE>,\
        XConfigureWindow                        ,<NONE>,\
        XConnectionNumber                       ,<NONE>,\
        XContextDependentDrawing                ,<NONE>,\
        XContextualDrawing                      ,<NONE>,\
        XConvertCase                            ,<NONE>,\
        XConvertSelection                       ,<.display, .selection, .target, .property, .requestor, .time>,\
        XCopyArea                               ,<NONE>,\
        XCopyColormapAndFree                    ,<NONE>,\
        XCopyGC                                 ,<NONE>,\
        XCopyPlane                              ,<NONE>,\
        XCreateBitmapFromData                   ,<NONE>,\
        XCreateColormap                         ,<NONE>,\
        XCreateFontCursor                       ,<NONE>,\
        XCreateFontSet                          ,<NONE>,\
        XCreateGC                               ,<NONE>,\
        XCreateGlyphCursor                      ,<NONE>,\
        XCreateIC                               ,<NONE>,\
        XCreateImage                            ,<NONE>,\
        XCreateOC                               ,<NONE>,\
        XCreatePixmap                           ,<NONE>,\
        XCreatePixmapCursor                     ,<NONE>,\
        XCreatePixmapFromBitmapData             ,<NONE>,\
        XCreateRegion                           ,<NONE>,\
        XCreateSimpleWindow                     ,<.display, .parent, .x, .y, .width, .height, .widthBorder, .clBorder, .clBackground>,\
        XCreateWindow                           ,<.display, .parent, .x, .y, .width, .height, .widthBorder, .depth, .class, .visual, .valuemask, .pAttributes>,\
        XDefaultColormap                        ,<NONE>,\
        XDefaultColormapOfScreen                ,<NONE>,\
        XDefaultDepth                           ,<NONE>,\
        XDefaultDepthOfScreen                   ,<NONE>,\
        XDefaultGC                              ,<NONE>,\
        XDefaultGCOfScreen                      ,<NONE>,\
        XDefaultRootWindow                      ,<NONE>,\
        XDefaultScreen                          ,<NONE>,\
        XDefaultScreenOfDisplay                 ,<NONE>,\
        XDefaultString                          ,<NONE>,\
        XDefaultVisual                          ,<NONE>,\
        XDefaultVisualOfScreen                  ,<NONE>,\
        XDefineCursor                           ,<NONE>,\
        XDeleteContext                          ,<NONE>,\
        XDeleteModifiermapEntry                 ,<NONE>,\
        XDeleteProperty                         ,<NONE>,\
        XDestroyIC                              ,<NONE>,\
        XDestroyImage                           ,<NONE>,\
        XDestroyOC                              ,<NONE>,\
        XDestroyRegion                          ,<NONE>,\
        XDestroySubwindows                      ,<NONE>,\
        XDestroyWindow                          ,<NONE>,\
        XDirectionalDependentDrawing            ,<NONE>,\
        XDisableAccessControl                   ,<NONE>,\
        XDisplayCells                           ,<NONE>,\
        XDisplayHeight                          ,<NONE>,\
        XDisplayHeightMM                        ,<NONE>,\
        XDisplayKeycodes                        ,<NONE>,\
        XDisplayMotionBufferSize                ,<NONE>,\
        XDisplayName                            ,<NONE>,\
        XDisplayOfIM                            ,<NONE>,\
        XDisplayOfOM                            ,<NONE>,\
        XDisplayOfScreen                        ,<NONE>,\
        XDisplayPlanes                          ,<NONE>,\
        XDisplayString                          ,<NONE>,\
        XDisplayWidth                           ,<NONE>,\
        XDisplayWidthMM                         ,<NONE>,\
        XDoesBackingStore                       ,<NONE>,\
        XDoesSaveUnders                         ,<NONE>,\
        XDrawArc                                ,<NONE>,\
        XDrawArcs                               ,<NONE>,\
        XDrawImageString                        ,<NONE>,\
        XDrawImageString16                      ,<NONE>,\
        XDrawLine                               ,<NONE>,\
        XDrawLines                              ,<NONE>,\
        XDrawPoint                              ,<NONE>,\
        XDrawPoints                             ,<NONE>,\
        XDrawRectangle                          ,<NONE>,\
        XDrawRectangles                         ,<NONE>,\
        XDrawSegments                           ,<NONE>,\
        XDrawString                             ,<NONE>,\
        XDrawString16                           ,<NONE>,\
        XDrawText                               ,<NONE>,\
        XDrawText16                             ,<NONE>,\
        XEHeadOfExtensionList                   ,<NONE>,\
        XESetBeforeFlush                        ,<NONE>,\
        XESetCloseDisplay                       ,<NONE>,\
        XESetCopyGC                             ,<NONE>,\
        XESetCreateFont                         ,<NONE>,\
        XESetCreateGC                           ,<NONE>,\
        XESetError                              ,<NONE>,\
        XESetErrorString                        ,<NONE>,\
        XESetEventToWire                        ,<NONE>,\
        XESetFlushGC                            ,<NONE>,\
        XESetFreeFont                           ,<NONE>,\
        XESetFreeGC                             ,<NONE>,\
        XESetPrintErrorValues                   ,<NONE>,\
        XESetWireToError                        ,<NONE>,\
        XESetWireToEvent                        ,<NONE>,\
        XEmptyRegion                            ,<NONE>,\
        XEnableAccessControl                    ,<NONE>,\
        XEqualRegion                            ,<NONE>,\
        XEventMaskOfScreen                      ,<NONE>,\
        XEventsQueued                           ,<NONE>,\
        XExtendedMaxRequestSize                 ,<NONE>,\
        XExtentsOfFontSet                       ,<NONE>,\
        XFetchBuffer                            ,<.display, .nbytes_return, .buffer>,\
        XFetchBytes                             ,<.display, .nbytes_return>,\
        XFetchName                              ,<.display, .window, .window_name_return>,\
        XFillArc                                ,<NONE>,\
        XFillArcs                               ,<NONE>,\
        XFillPolygon                            ,<NONE>,\
        XFillRectangle                          ,<NONE>,\
        XFillRectangles                         ,<NONE>,\
        XFilterEvent                            ,<NONE>,\
        XFindContext                            ,<NONE>,\
        XFindOnExtensionList                    ,<NONE>,\
        XFlush                                  ,<NONE>,\
        XFlushGC                                ,<NONE>,\
        XFontsOfFontSet                         ,<NONE>,\
        XForceScreenSaver                       ,<NONE>,\
        XFree                                   ,<.ptr>,\
        XFreeColormap                           ,<NONE>,\
        XFreeColors                             ,<NONE>,\
        XFreeCursor                             ,<NONE>,\
        XFreeExtensionList                      ,<NONE>,\
        XFreeFont                               ,<NONE>,\
        XFreeFontInfo                           ,<NONE>,\
        XFreeFontNames                          ,<NONE>,\
        XFreeFontPath                           ,<NONE>,\
        XFreeFontSet                            ,<NONE>,\
        XFreeGC                                 ,<NONE>,\
        XFreeModifiermap                        ,<NONE>,\
        XFreePixmap                             ,<NONE>,\
        XFreeStringList                         ,<NONE>,\
        XGContextFromGC                         ,<NONE>,\
        XGeometry                               ,<NONE>,\
        XGetAtomName                            ,<NONE>,\
        XGetAtomNames                           ,<NONE>,\
        XGetClassHint                           ,<NONE>,\
        XGetCommand                             ,<NONE>,\
        XGetDefault                             ,<NONE>,\
        XGetErrorDatabaseText                   ,<NONE>,\
        XGetErrorText                           ,<NONE>,\
        XGetFontPath                            ,<NONE>,\
        XGetFontProperty                        ,<NONE>,\
        XGetGCValues                            ,<NONE>,\
        XGetGeometry                            ,<NONE>,\
        XGetICValues                            ,<NONE>,\
        XGetIMValues                            ,<NONE>,\
        XGetIconName                            ,<NONE>,\
        XGetIconSizes                           ,<NONE>,\
        XGetImage                               ,<NONE>,\
        XGetInputFocus                          ,<NONE>,\
        XGetKeyboardControl                     ,<NONE>,\
        XGetKeyboardMapping                     ,<NONE>,\
        XGetModifierMapping                     ,<NONE>,\
        XGetMotionEvents                        ,<NONE>,\
        XGetNormalHints                         ,<NONE>,\
        XGetOCValues                            ,<NONE>,\
        XGetOMValues                            ,<NONE>,\
        XGetPixel                               ,<NONE>,\
        XGetPointerControl                      ,<NONE>,\
        XGetPointerMapping                      ,<NONE>,\
        XGetRGBColormaps                        ,<NONE>,\
        XGetScreenSaver                         ,<NONE>,\
        XGetSelectionOwner                      ,<.display, .selection>, \
        XGetSizeHints                           ,<NONE>,\
        XGetStandardColormap                    ,<NONE>,\
        XGetSubImage                            ,<NONE>,\
        XGetTextProperty                        ,<NONE>,\
        XGetTransientForHint                    ,<NONE>,\
        XGetVisualInfo                          ,<NONE>,\
        XGetWMClientMachine                     ,<NONE>,\
        XGetWMColormapWindows                   ,<NONE>,\
        XGetWMHints                             ,<NONE>,\
        XGetWMIconName                          ,<NONE>,\
        XGetWMName                              ,<NONE>,\
        XGetWMNormalHints                       ,<NONE>,\
        XGetWMProtocols                         ,<NONE>,\
        XGetWMSizeHints                         ,<NONE>,\
        XGetWindowAttributes                    ,<.display, .hwin, .pWinAttr>,\
        XGetWindowProperty                      ,<.display, .hwin, .property, .offset, .length, .delete, .req_type, .pTypeRet, .pFormatRet, .pNItemsRet, .pRemainsRet, .pDataRet>,\
        XGetZoomHints                           ,<NONE>,\
        XGrabButton                             ,<NONE>,\
        XGrabKey                                ,<NONE>,\
        XGrabKeyboard                           ,<NONE>,\
        XGrabPointer                            ,<NONE>,\
        XGrabServer                             ,<NONE>,\
        XHeightMMOfScreen                       ,<NONE>,\
        XHeightOfScreen                         ,<NONE>,\
        XIMOfIC                                 ,<NONE>,\
        XIconifyWindow                          ,<NONE>,\
        XIfEvent                                ,<NONE>,\
        XImageByteOrder                         ,<NONE>,\
        XInitExtension                          ,<NONE>,\
        XInitImage                              ,<NONE>,\
        XInitThreads                            ,<NONE>,\
        XInsertModifiermapEntry                 ,<NONE>,\
        XInstallColormap                        ,<NONE>,\
        XInternAtom                             ,<.display, .atom_name, .only_if_exists>,\
        XInternAtoms                            ,<.display, .names, .count, .only_if_exists, .atoms_return>,\
        XInternalConnectionNumbers              ,<NONE>,\
        XIntersectRegion                        ,<NONE>,\
        XKeycodeToKeysym                        ,<NONE>,\
        XKeysymToKeycode                        ,<NONE>,\
        XKeysymToString                         ,<NONE>,\
        XKillClient                             ,<NONE>,\
        XLastKnownRequestProcessed              ,<NONE>,\
        XListDepths                             ,<NONE>,\
        XListExtensions                         ,<NONE>,\
        XListFonts                              ,<NONE>,\
        XListFontsWithInfo                      ,<NONE>,\
        XListHosts                              ,<NONE>,\
        XListInstalledColormaps                 ,<NONE>,\
        XListPixmapFormats                      ,<NONE>,\
        XListProperties                         ,<NONE>,\
        XLoadFont                               ,<NONE>,\
        XLoadQueryFont                          ,<NONE>,\
        XLocaleOfFontSet                        ,<NONE>,\
        XLocaleOfIM                             ,<NONE>,\
        XLocaleOfOM                             ,<NONE>,\
        XLockDisplay                            ,<NONE>,\
        XLookupColor                            ,<NONE>,\
        XLookupKeysym                           ,<NONE>,\
        XLookupString                           ,<NONE>,\
        XLowerWindow                            ,<NONE>,\
        XMapRaised                              ,<NONE>,\
        XMapSubwindows                          ,<NONE>,\
        XMapWindow                              ,<NONE>,\
        XMaskEvent                              ,<.display, .event_mask, .pEventReturn>,\
        XMatchVisualInfo                        ,<NONE>,\
        XMaxCmapsOfScreen                       ,<NONE>,\
        XMaxRequestSize                         ,<NONE>,\
        XMinCmapsOfScreen                       ,<NONE>,\
        XMoveResizeWindow                       ,<NONE>,\
        XMoveWindow                             ,<NONE>,\
        XNewModifiermap                         ,<NONE>,\
        XNextEvent                              ,<NONE>,\
        XNextRequest                            ,<NONE>,\
        XNoOp                                   ,<NONE>,\
        XOMOfOC                                 ,<NONE>,\
        XOffsetRegion                           ,<NONE>,\
        XOpenDisplay                            ,<NONE>,\
        XOpenIM                                 ,<NONE>,\
        XOpenOM                                 ,<NONE>,\
        XParseColor                             ,<NONE>,\
        XParseGeometry                          ,<NONE>,\
        XPeekEvent                              ,<NONE>,\
        XPeekIfEvent                            ,<NONE>,\
        XPending                                ,<NONE>,\
        XPlanesOfScreen                         ,<NONE>,\
        XPointInRegion                          ,<NONE>,\
        XPolygonRegion                          ,<NONE>,\
        XProcessInternalConnection              ,<NONE>,\
        XProtocolRevision                       ,<NONE>,\
        XProtocolVersion                        ,<NONE>,\
        XPutBackEvent                           ,<NONE>,\
        XPutImage                               ,<NONE>,\
        XPutPixel                               ,<NONE>,\
        XQLength                                ,<NONE>,\
        XQueryBestCursor                        ,<NONE>,\
        XQueryBestSize                          ,<NONE>,\
        XQueryBestStipple                       ,<NONE>,\
        XQueryBestTile                          ,<NONE>,\
        XQueryColor                             ,<NONE>,\
        XQueryColors                            ,<NONE>,\
        XQueryExtension                         ,<NONE>,\
        XQueryFont                              ,<NONE>,\
        XQueryKeymap                            ,<NONE>,\
        XQueryPointer                           ,<NONE>,\
        XQueryTextExtents                       ,<NONE>,\
        XQueryTextExtents16                     ,<NONE>,\
        XQueryTree                              ,<NONE>,\
        XRaiseWindow                            ,<NONE>,\
        XReadBitmapFile                         ,<NONE>,\
        XReadBitmapFileData                     ,<NONE>,\
        XRebindKeysym                           ,<NONE>,\
        XRecolorCursor                          ,<NONE>,\
        XReconfigureWMWindow                    ,<NONE>,\
        XRectInRegion                           ,<NONE>,\
        XRefreshKeyboardMapping                 ,<NONE>,\
        XRegisterIMInstantiateCallback          ,<NONE>,\
        XRemoveConnectionWatch                  ,<NONE>,\
        XRemoveFromSaveSet                      ,<NONE>,\
        XRemoveHost                             ,<NONE>,\
        XRemoveHosts                            ,<NONE>,\
        XReparentWindow                         ,<NONE>,\
        XResetScreenSaver                       ,<NONE>,\
        XResizeWindow                           ,<NONE>,\
        XResourceManagerString                  ,<NONE>,\
        XRestackWindows                         ,<NONE>,\
        XRootWindow                             ,<NONE>,\
        XRootWindowOfScreen                     ,<NONE>,\
        XRotateBuffers                          ,<NONE>,\
        XRotateWindowProperties                 ,<NONE>,\
        XSaveContext                            ,<NONE>,\
        XScreenCount                            ,<NONE>,\
        XScreenNumberOfScreen                   ,<NONE>,\
        XScreenOfDisplay                        ,<NONE>,\
        XScreenResourceString                   ,<NONE>,\
        XSelectInput                            ,<NONE>,\
        XSendEvent                              ,<NONE>,\
        XServerVendor                           ,<NONE>,\
        XSetAccessControl                       ,<NONE>,\
        XSetAfterFunction                       ,<NONE>,\
        XSetArcMode                             ,<NONE>,\
        XSetAuthorization                       ,<NONE>,\
        XSetBackground                          ,<NONE>,\
        XSetClassHint                           ,<NONE>,\
        XSetClipMask                            ,<NONE>,\
        XSetClipOrigin                          ,<NONE>,\
        XSetClipRectangles                      ,<NONE>,\
        XSetCloseDownMode                       ,<NONE>,\
        XSetCommand                             ,<NONE>,\
        XSetDashes                              ,<NONE>,\
        XSetErrorHandler                        ,<NONE>,\
        XSetFillRule                            ,<NONE>,\
        XSetFillStyle                           ,<NONE>,\
        XSetFont                                ,<NONE>,\
        XSetFontPath                            ,<NONE>,\
        XSetForeground                          ,<NONE>,\
        XSetFunction                            ,<NONE>,\
        XSetGraphicsExposures                   ,<NONE>,\
        XSetICFocus                             ,<NONE>,\
        XSetICValues                            ,<NONE>,\
        XSetIMValues                            ,<NONE>,\
        XSetIOErrorHandler                      ,<NONE>,\
        XSetIconName                            ,<NONE>,\
        XSetIconSizes                           ,<NONE>,\
        XSetInputFocus                          ,<NONE>,\
        XSetLineAttributes                      ,<NONE>,\
        XSetLocaleModifiers                     ,<NONE>,\
        XSetModifierMapping                     ,<NONE>,\
        XSetNormalHints                         ,<NONE>,\
        XSetOCValues                            ,<NONE>,\
        XSetOMValues                            ,<NONE>,\
        XSetPlaneMask                           ,<NONE>,\
        XSetPointerMapping                      ,<NONE>,\
        XSetRGBColormaps                        ,<NONE>,\
        XSetRegion                              ,<NONE>,\
        XSetScreenSaver                         ,<NONE>,\
        XSetSelectionOwner                      ,<.display, .selection, .owner, .time>,\
        XSetSizeHints                           ,<NONE>,\
        XSetStandardColormap                    ,<NONE>,\
        XSetStandardProperties                  ,<NONE>,\
        XSetState                               ,<NONE>,\
        XSetStipple                             ,<NONE>,\
        XSetSubwindowMode                       ,<NONE>,\
        XSetTSOrigin                            ,<NONE>,\
        XSetTextProperty                        ,<NONE>,\
        XSetTile                                ,<NONE>,\
        XSetTransientForHint                    ,<NONE>,\
        XSetWMClientMachine                     ,<NONE>,\
        XSetWMColormapWindows                   ,<NONE>,\
        XSetWMHints                             ,<NONE>,\
        XSetWMIconName                          ,<NONE>,\
        XSetWMName                              ,<NONE>,\
        XSetWMNormalHints                       ,<NONE>,\
        XSetWMProperties                        ,<NONE>,\
        XSetWMProtocols                         ,<NONE>,\
        XSetWMSizeHints                         ,<NONE>,\
        XSetWindowBackground                    ,<NONE>,\
        XSetWindowBackgroundPixmap              ,<NONE>,\
        XSetWindowBorder                        ,<NONE>,\
        XSetWindowBorderPixmap                  ,<NONE>,\
        XSetWindowBorderWidth                   ,<NONE>,\
        XSetWindowColormap                      ,<NONE>,\
        XSetZoomHints                           ,<NONE>,\
        XShrinkRegion                           ,<NONE>,\
        XStoreBuffer                            ,<NONE>,\
        XStoreBytes                             ,<NONE>,\
        XStoreColor                             ,<NONE>,\
        XStoreColors                            ,<NONE>,\
        XStoreName                              ,<NONE>,\
        XStoreNamedColor                        ,<NONE>,\
        XStringListToTextProperty               ,<NONE>,\
        XStringToKeysym                         ,<NONE>,\
        XSubImage                               ,<NONE>,\
        XSubtractRegion                         ,<NONE>,\
        XSupportsLocale                         ,<NONE>,\
        XSync                                   ,<NONE>,\
        XSynchronize                            ,<NONE>,\
        XTextExtents                            ,<NONE>,\
        XTextExtents16                          ,<NONE>,\
        XTextPropertyToStringList               ,<NONE>,\
        XTextWidth                              ,<NONE>,\
        XTextWidth16                            ,<NONE>,\
        XTranslateCoordinates                   ,<NONE>,\
        XUndefineCursor                         ,<NONE>,\
        XUngrabButton                           ,<NONE>,\
        XUngrabKey                              ,<NONE>,\
        XUngrabKeyboard                         ,<NONE>,\
        XUngrabPointer                          ,<NONE>,\
        XUngrabServer                           ,<NONE>,\
        XUninstallColormap                      ,<NONE>,\
        XUnionRectWithRegion                    ,<NONE>,\
        XUnionRegion                            ,<NONE>,\
        XUnloadFont                             ,<NONE>,\
        XUnlockDisplay                          ,<NONE>,\
        XUnmapSubwindows                        ,<NONE>,\
        XUnmapWindow                            ,<NONE>,\
        XUnregisterIMInstantiateCallback        ,<NONE>,\
        XUnsetICFocus                           ,<NONE>,\
        XVaCreateNestedList                     ,<NONE>,\
        XVendorRelease                          ,<NONE>,\
        XVisualIDFromVisual                     ,<NONE>,\
        XWMGeometry                             ,<NONE>,\
        XWarpPointer                            ,<NONE>,\
        XWhitePixel                             ,<NONE>,\
        XWhitePixelOfScreen                     ,<NONE>,\
        XWidthMMOfScreen                        ,<NONE>,\
        XWidthOfScreen                          ,<NONE>,\
        XWindowEvent                            ,<.display, .hwin, .event_mask, .pEvent>,\
        XWithdrawWindow                         ,<NONE>,\
        XWriteBitmapFile                        ,<NONE>,\
        XXorRegion                              ,<NONE>,\
        XcmsAddColorSpace                       ,<NONE>,\
        XcmsAddFunctionSet                      ,<NONE>,\
        XcmsAllocColor                          ,<NONE>,\
        XcmsAllocNamedColor                     ,<NONE>,\
        XcmsCCCOfColormap                       ,<NONE>,\
        XcmsCIELabClipL                         ,<NONE>,\
        XcmsCIELabClipLab                       ,<NONE>,\
        XcmsCIELabClipab                        ,<NONE>,\
        XcmsCIELabColorSpace                    ,<NONE>,\
        XcmsCIELabQueryMaxC                     ,<NONE>,\
        XcmsCIELabQueryMaxL                     ,<NONE>,\
        XcmsCIELabQueryMaxLC                    ,<NONE>,\
        XcmsCIELabQueryMinL                     ,<NONE>,\
        XcmsCIELabToCIEXYZ                      ,<NONE>,\
        XcmsCIELabWhiteShiftColors              ,<NONE>,\
        XcmsCIELuvClipL                         ,<NONE>,\
        XcmsCIELuvClipLuv                       ,<NONE>,\
        XcmsCIELuvClipuv                        ,<NONE>,\
        XcmsCIELuvColorSpace                    ,<NONE>,\
        XcmsCIELuvQueryMaxC                     ,<NONE>,\
        XcmsCIELuvQueryMaxL                     ,<NONE>,\
        XcmsCIELuvQueryMaxLC                    ,<NONE>,\
        XcmsCIELuvQueryMinL                     ,<NONE>,\
        XcmsCIELuvToCIEuvY                      ,<NONE>,\
        XcmsCIELuvWhiteShiftColors              ,<NONE>,\
        XcmsCIEXYZColorSpace                    ,<NONE>,\
        XcmsCIEXYZToCIELab                      ,<NONE>,\
        XcmsCIEXYZToCIEuvY                      ,<NONE>,\
        XcmsCIEXYZToCIExyY                      ,<NONE>,\
        XcmsCIEXYZToRGBi                        ,<NONE>,\
        XcmsCIEuvYColorSpace                    ,<NONE>,\
        XcmsCIEuvYToCIELuv                      ,<NONE>,\
        XcmsCIEuvYToCIEXYZ                      ,<NONE>,\
        XcmsCIEuvYToTekHVC                      ,<NONE>,\
        XcmsCIExyYColorSpace                    ,<NONE>,\
        XcmsCIExyYToCIEXYZ                      ,<NONE>,\
        XcmsClientWhitePointOfCCC               ,<NONE>,\
        XcmsConvertColors                       ,<NONE>,\
        XcmsCreateCCC                           ,<NONE>,\
        XcmsDefaultCCC                          ,<NONE>,\
        XcmsDisplayOfCCC                        ,<NONE>,\
        XcmsFormatOfPrefix                      ,<NONE>,\
        XcmsFreeCCC                             ,<NONE>,\
        XcmsLinearRGBFunctionSet                ,<NONE>,\
        XcmsLookupColor                         ,<NONE>,\
        XcmsPrefixOfFormat                      ,<NONE>,\
        XcmsQueryBlack                          ,<NONE>,\
        XcmsQueryBlue                           ,<NONE>,\
        XcmsQueryColor                          ,<NONE>,\
        XcmsQueryColors                         ,<NONE>,\
        XcmsQueryGreen                          ,<NONE>,\
        XcmsQueryRed                            ,<NONE>,\
        XcmsQueryWhite                          ,<NONE>,\
        XcmsRGBColorSpace                       ,<NONE>,\
        XcmsRGBToRGBi                           ,<NONE>,\
        XcmsRGBiColorSpace                      ,<NONE>,\
        XcmsRGBiToCIEXYZ                        ,<NONE>,\
        XcmsRGBiToRGB                           ,<NONE>,\
        XcmsScreenNumberOfCCC                   ,<NONE>,\
        XcmsScreenWhitePointOfCCC               ,<NONE>,\
        XcmsSetCCCOfColormap                    ,<NONE>,\
        XcmsSetCompressionProc                  ,<NONE>,\
        XcmsSetWhiteAdjustProc                  ,<NONE>,\
        XcmsSetWhitePoint                       ,<NONE>,\
        XcmsStoreColor                          ,<NONE>,\
        XcmsStoreColors                         ,<NONE>,\
        XcmsTekHVCClipC                         ,<NONE>,\
        XcmsTekHVCClipV                         ,<NONE>,\
        XcmsTekHVCClipVC                        ,<NONE>,\
        XcmsTekHVCColorSpace                    ,<NONE>,\
        XcmsTekHVCQueryMaxC                     ,<NONE>,\
        XcmsTekHVCQueryMaxV                     ,<NONE>,\
        XcmsTekHVCQueryMaxVC                    ,<NONE>,\
        XcmsTekHVCQueryMaxVSamples              ,<NONE>,\
        XcmsTekHVCQueryMinV                     ,<NONE>,\
        XcmsTekHVCToCIEuvY                      ,<NONE>,\
        XcmsTekHVCWhiteShiftColors              ,<NONE>,\
        XcmsUNDEFINEDColorSpace                 ,<NONE>,\
        XcmsVisualOfCCC                         ,<NONE>,\
        XkbAddDeviceLedInfo                     ,<NONE>,\
        XkbAddGeomColor                         ,<NONE>,\
        XkbAddGeomDoodad                        ,<NONE>,\
        XkbAddGeomKey                           ,<NONE>,\
        XkbAddGeomKeyAlias                      ,<NONE>,\
        XkbAddGeomOutline                       ,<NONE>,\
        XkbAddGeomOverlay                       ,<NONE>,\
        XkbAddGeomOverlayKey                    ,<NONE>,\
        XkbAddGeomOverlayRow                    ,<NONE>,\
        XkbAddGeomProperty                      ,<NONE>,\
        XkbAddGeomRow                           ,<NONE>,\
        XkbAddGeomSection                       ,<NONE>,\
        XkbAddGeomShape                         ,<NONE>,\
        XkbAddKeyType                           ,<NONE>,\
        XkbAllocClientMap                       ,<NONE>,\
        XkbAllocCompatMap                       ,<NONE>,\
        XkbAllocControls                        ,<NONE>,\
        XkbAllocDeviceInfo                      ,<NONE>,\
        XkbAllocGeomColors                      ,<NONE>,\
        XkbAllocGeomDoodads                     ,<NONE>,\
        XkbAllocGeomKeyAliases                  ,<NONE>,\
        XkbAllocGeomKeys                        ,<NONE>,\
        XkbAllocGeomOutlines                    ,<NONE>,\
        XkbAllocGeomOverlayKeys                 ,<NONE>,\
        XkbAllocGeomOverlayRows                 ,<NONE>,\
        XkbAllocGeomOverlays                    ,<NONE>,\
        XkbAllocGeomPoints                      ,<NONE>,\
        XkbAllocGeomProps                       ,<NONE>,\
        XkbAllocGeomRows                        ,<NONE>,\
        XkbAllocGeomSectionDoodads              ,<NONE>,\
        XkbAllocGeomSections                    ,<NONE>,\
        XkbAllocGeomShapes                      ,<NONE>,\
        XkbAllocGeometry                        ,<NONE>,\
        XkbAllocIndicatorMaps                   ,<NONE>,\
        XkbAllocKeyboard                        ,<NONE>,\
        XkbAllocNames                           ,<NONE>,\
        XkbAllocServerMap                       ,<NONE>,\
        XkbApplyCompatMapToKey                  ,<NONE>,\
        XkbApplyVirtualModChanges               ,<NONE>,\
        XkbBell                                 ,<NONE>,\
        XkbBellEvent                            ,<NONE>,\
        XkbChangeDeviceInfo                     ,<NONE>,\
        XkbChangeEnabledControls                ,<NONE>,\
        XkbChangeKeycodeRange                   ,<NONE>,\
        XkbChangeMap                            ,<NONE>,\
        XkbChangeNames                          ,<NONE>,\
        XkbChangeTypesOfKey                     ,<NONE>,\
        XkbComputeEffectiveMap                  ,<NONE>,\
        XkbComputeRowBounds                     ,<NONE>,\
        XkbComputeSectionBounds                 ,<NONE>,\
        XkbComputeShapeBounds                   ,<NONE>,\
        XkbComputeShapeTop                      ,<NONE>,\
        XkbCopyKeyType                          ,<NONE>,\
        XkbCopyKeyTypes                         ,<NONE>,\
        XkbDeviceBell                           ,<NONE>,\
        XkbDeviceBellEvent                      ,<NONE>,\
        XkbFindOverlayForKey                    ,<NONE>,\
        XkbForceBell                            ,<NONE>,\
        XkbForceDeviceBell                      ,<NONE>,\
        XkbFreeClientMap                        ,<NONE>,\
        XkbFreeCompatMap                        ,<NONE>,\
        XkbFreeComponentList                    ,<NONE>,\
        XkbFreeControls                         ,<NONE>,\
        XkbFreeDeviceInfo                       ,<NONE>,\
        XkbFreeGeomColors                       ,<NONE>,\
        XkbFreeGeomDoodads                      ,<NONE>,\
        XkbFreeGeomKeyAliases                   ,<NONE>,\
        XkbFreeGeomKeys                         ,<NONE>,\
        XkbFreeGeomOutlines                     ,<NONE>,\
        XkbFreeGeomOverlayKeys                  ,<NONE>,\
        XkbFreeGeomOverlayRows                  ,<NONE>,\
        XkbFreeGeomOverlays                     ,<NONE>,\
        XkbFreeGeomPoints                       ,<NONE>,\
        XkbFreeGeomProperties                   ,<NONE>,\
        XkbFreeGeomRows                         ,<NONE>,\
        XkbFreeGeomSections                     ,<NONE>,\
        XkbFreeGeomShapes                       ,<NONE>,\
        XkbFreeGeometry                         ,<NONE>,\
        XkbFreeIndicatorMaps                    ,<NONE>,\
        XkbFreeKeyboard                         ,<NONE>,\
        XkbFreeNames                            ,<NONE>,\
        XkbFreeServerMap                        ,<NONE>,\
        XkbGetAutoRepeatRate                    ,<NONE>,\
        XkbGetAutoResetControls                 ,<NONE>,\
        XkbGetCompatMap                         ,<NONE>,\
        XkbGetControls                          ,<NONE>,\
        XkbGetDetectableAutoRepeat              ,<NONE>,\
        XkbGetDeviceButtonActions               ,<NONE>,\
        XkbGetDeviceInfo                        ,<NONE>,\
        XkbGetDeviceInfoChanges                 ,<NONE>,\
        XkbGetDeviceLedInfo                     ,<NONE>,\
        XkbGetGeometry                          ,<NONE>,\
        XkbGetIndicatorMap                      ,<NONE>,\
        XkbGetIndicatorState                    ,<NONE>,\
        XkbGetKeyActions                        ,<NONE>,\
        XkbGetKeyBehaviors                      ,<NONE>,\
        XkbGetKeyExplicitComponents             ,<NONE>,\
        XkbGetKeyModifierMap                    ,<NONE>,\
        XkbGetKeySyms                           ,<NONE>,\
        XkbGetKeyTypes                          ,<NONE>,\
        XkbGetKeyVirtualModMap                  ,<NONE>,\
        XkbGetKeyboard                          ,<NONE>,\
        XkbGetKeyboardByName                    ,<NONE>,\
        XkbGetMap                               ,<NONE>,\
        XkbGetMapChanges                        ,<NONE>,\
        XkbGetNamedDeviceIndicator              ,<NONE>,\
        XkbGetNamedGeometry                     ,<NONE>,\
        XkbGetNamedIndicator                    ,<NONE>,\
        XkbGetNames                             ,<NONE>,\
        XkbGetPerClientControls                 ,<NONE>,\
        XkbGetState                             ,<NONE>,\
        XkbGetUpdatedMap                        ,<NONE>,\
        XkbGetVirtualMods                       ,<NONE>,\
        XkbGetXlibControls                      ,<NONE>,\
        XkbIgnoreExtension                      ,<NONE>,\
        XkbInitCanonicalKeyTypes                ,<NONE>,\
        XkbKeyTypesForCoreSymbols               ,<NONE>,\
        XkbKeycodeToKeysym                      ,<NONE>,\
        XkbKeysymToModifiers                    ,<NONE>,\
        XkbLatchGroup                           ,<NONE>,\
        XkbLatchModifiers                       ,<NONE>,\
        XkbLibraryVersion                       ,<NONE>,\
        XkbListComponents                       ,<NONE>,\
        XkbLockGroup                            ,<NONE>,\
        XkbLockModifiers                        ,<NONE>,\
        XkbLookupKeyBinding                     ,<NONE>,\
        XkbLookupKeySym                         ,<NONE>,\
        XkbNoteControlsChanges                  ,<NONE>,\
        XkbNoteDeviceChanges                    ,<NONE>,\
        XkbNoteMapChanges                       ,<NONE>,\
        XkbNoteNameChanges                      ,<NONE>,\
        XkbOpenDisplay                          ,<NONE>,\
        XkbQueryExtension                       ,<NONE>,\
        XkbRefreshKeyboardMapping               ,<NONE>,\
        XkbResizeDeviceButtonActions            ,<NONE>,\
        XkbResizeKeyActions                     ,<NONE>,\
        XkbResizeKeySyms                        ,<NONE>,\
        XkbResizeKeyType                        ,<NONE>,\
        XkbSelectEventDetails                   ,<NONE>,\
        XkbSelectEvents                         ,<NONE>,\
        XkbSetAtomFuncs                         ,<NONE>,\
        XkbSetAutoRepeatRate                    ,<NONE>,\
        XkbSetAutoResetControls                 ,<NONE>,\
        XkbSetCompatMap                         ,<NONE>,\
        XkbSetControls                          ,<NONE>,\
        XkbSetDebuggingFlags                    ,<NONE>,\
        XkbSetDetectableAutoRepeat              ,<NONE>,\
        XkbSetDeviceButtonActions               ,<NONE>,\
        XkbSetDeviceInfo                        ,<NONE>,\
        XkbSetDeviceLedInfo                     ,<NONE>,\
        XkbSetGeometry                          ,<NONE>,\
        XkbSetIgnoreLockMods                    ,<NONE>,\
        XkbSetIndicatorMap                      ,<NONE>,\
        XkbSetMap                               ,<NONE>,\
        XkbSetNamedDeviceIndicator              ,<NONE>,\
        XkbSetNamedIndicator                    ,<NONE>,\
        XkbSetNames                             ,<NONE>,\
        XkbSetPerClientControls                 ,<NONE>,\
        XkbSetServerInternalMods                ,<NONE>,\
        XkbSetXlibControls                      ,<NONE>,\
        XkbToControl                            ,<NONE>,\
        XkbTranslateKey                         ,<NONE>,\
        XkbTranslateKeyCode                     ,<NONE>,\
        XkbTranslateKeySym                      ,<NONE>,\
        XkbUpdateActionVirtualMods              ,<NONE>,\
        XkbUpdateKeyTypeVirtualMods             ,<NONE>,\
        XkbUpdateMapFromCore                    ,<NONE>,\
        XkbUseExtension                         ,<NONE>,\
        XkbVirtualModsToReal                    ,<NONE>,\
        XkbXlibControlsImplemented              ,<NONE>,\
        XmbDrawImageString                      ,<NONE>,\
        XmbDrawString                           ,<NONE>,\
        XmbDrawText                             ,<NONE>,\
        XmbLookupString                         ,<NONE>,\
        XmbResetIC                              ,<NONE>,\
        XmbSetWMProperties                      ,<NONE>,\
        XmbTextEscapement                       ,<NONE>,\
        XmbTextExtents                          ,<NONE>,\
        XmbTextListToTextProperty               ,<NONE>,\
        XmbTextPerCharExtents                   ,<NONE>,\
        XmbTextPropertyToTextList               ,<NONE>,\
        Xpermalloc                              ,<NONE>,\
        XrmCombineDatabase                      ,<NONE>,\
        XrmCombineFileDatabase                  ,<NONE>,\
        XrmDestroyDatabase                      ,<NONE>,\
        XrmEnumerateDatabase                    ,<NONE>,\
        XrmGetDatabase                          ,<NONE>,\
        XrmGetFileDatabase                      ,<NONE>,\
        XrmGetResource                          ,<NONE>,\
        XrmGetStringDatabase                    ,<NONE>,\
        XrmInitialize                           ,<NONE>,\
        XrmLocaleOfDatabase                     ,<NONE>,\
        XrmMergeDatabases                       ,<NONE>,\
        XrmParseCommand                         ,<NONE>,\
        XrmPermStringToQuark                    ,<NONE>,\
        XrmPutFileDatabase                      ,<NONE>,\
        XrmPutLineResource                      ,<NONE>,\
        XrmPutResource                          ,<NONE>,\
        XrmPutStringResource                    ,<NONE>,\
        XrmQGetResource                         ,<NONE>,\
        XrmQGetSearchList                       ,<NONE>,\
        XrmQGetSearchResource                   ,<NONE>,\
        XrmQPutResource                         ,<NONE>,\
        XrmQPutStringResource                   ,<NONE>,\
        XrmQuarkToString                        ,<NONE>,\
        XrmSetDatabase                          ,<NONE>,\
        XrmStringToBindingQuarkList             ,<NONE>,\
        XrmStringToQuark                        ,<NONE>,\
        XrmStringToQuarkList                    ,<NONE>,\
        XrmUniqueQuark                          ,<NONE>,\
        Xutf8DrawImageString                    ,<NONE>,\
        Xutf8DrawString                         ,<NONE>,\
        Xutf8DrawText                           ,<NONE>,\
        Xutf8LookupString                       ,<NONE>,\
        Xutf8ResetIC                            ,<NONE>,\
        Xutf8SetWMProperties                    ,<NONE>,\
        Xutf8TextEscapement                     ,<NONE>,\
        Xutf8TextExtents                        ,<NONE>,\
        Xutf8TextListToTextProperty             ,<NONE>,\
        Xutf8TextPerCharExtents                 ,<NONE>,\
        Xutf8TextPropertyToTextList             ,<NONE>,\
        XwcDrawImageString                      ,<NONE>,\
        XwcDrawString                           ,<NONE>,\
        XwcDrawText                             ,<NONE>,\
        XwcFreeStringList                       ,<NONE>,\
        XwcLookupString                         ,<NONE>,\
        XwcResetIC                              ,<NONE>,\
        XwcTextEscapement                       ,<NONE>,\
        XwcTextExtents                          ,<NONE>,\
        XwcTextListToTextProperty               ,<NONE>,\
        XwcTextPerCharExtents                   ,<NONE>,\
        XwcTextPropertyToTextList               ,<NONE>,\
        XUniqueContext                          ,<NONE>
