; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: LibC import library.
;
;  Target OS: Linux
;
;  Dependencies:
;
;  Notes: Include only small amount of exported functions.
;_________________________________________________________________________________________

import_proto 'libc.so.6',                                   \ ; LibC
  puts                                    ,<NONE>,          \
  exit                                    ,<.exit_code>,    \
  malloc                                  ,<.size>,         \
  free                                    ,<.ptr>,          \
  realloc                                 ,<.ptr, .newsize>,\
  stime                                   ,<NONE>,          \
  strerror_r                              ,<.errnum, .pBuff, .BufLen>
