; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: TMenuItem object class
;
;  Target OS: Any
;
;  Dependencies:
;
;  Notes: TMenuItems are the items of the GUI menu objects.
;_________________________________________________________________________________________
module "TMenuItem library"

ObjectClass MenuItem,     \
            Object,       \
            TMenu.Create, \
            TMenu.Destroy,\
            TMenu.Get,    \
            TMenu.Set,    \
            TMenu.ExecCmd,\
            TMenu.SysEventHandler

mikCommand   = 0
mikSubmenu   = 1
mikSeparator = 2


object TMenuItem, TObject
  .parent   dd ?        ; pointer to TMenu object.
  .kind     dd ?        ; mikCommand, mikSubmenu or mikSeparator
  .pAction  dd ?        ; depending on the kind. Pointer to TAction or handle of string with the text.
  .child    dd ?        ; pointer to the child TMenu object

  method Paint, .context, .x, .y, .width, .height
endobj


endmodule