

iglobal
frmMainForm:
; The form
        ObjTemplate  tfParent or tfEnd, Form, frmMain, x, 100, y, 50, width, 640, height, 340, Visible, TRUE, Caption, 'FreshLib uConfig files editor.'

            ; log window
            ObjTemplate tfChild, FreshEdit, editLog, x, 330, y, 0, width, 440, height, 200, Visible, TRUE, Align, waClient, _fReadOnly, froReadOnlyNoCaret

            ObjTemplate  tfParent or tfEnd, Form, frmToolPanel, borderKind, borderNone, Align, waLeft,x ,0, y, 0, width, 200, height, 340, Visible, TRUE

                ; file buttons
                ObjTemplate tfChild, Button, btnNewDB, x, 4,   y, 2, width, 64, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle,  Caption, 'New', OnClick, procOnNewDB
                ObjTemplate tfChild, Button, btnOpenDB, x, 67,  y, 2, width, 64, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'Open', OnClick, procOnOpenDB
                ObjTemplate tfChild, Button, btnSaveDB, x, 130, y, 2, width, 64, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'Save', OnClick, procOnSaveDB

                ; record buttons
                ObjTemplate tfChild, Button, btnReadRecord, x, 4, y, 194, width, 60, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'Read', OnClick, procOnRead
                ObjTemplate tfChild, Button, btnWriteRecord, x, 69, y, 194, width, 60, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'Write', OnClick, procOnWrite
                ObjTemplate tfChild, Button, btnDeleteRecord, x, 134, y, 194, width, 60, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'Delete', OnClick, procOnDelete

                ; type buttons
                ObjTemplate tfChild, Label,  lblDataType,   x, 69, y, 224,  width, 60, height, 60, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'cdtString'
                ObjTemplate tfChild, Button, btnTypeString,  x, 4, y, 224, width,  60, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'String', OnClick, procOnType
                ObjTemplate tfChild, Button, btnTypeInt,     x, 4, y, 244, width,  60, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'Number', OnClick, procOnType
                ObjTemplate tfChild, Button, btnTypeNull,    x, 4, y, 264, width,  60, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'Null', OnClick, procOnType

                ; log buttons
                ObjTemplate tfChild, Button, btnListTree, x, 134, y, 244, width, 60, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'List >>>', OnClick, procOnListTree
                ObjTemplate tfChild, Button, btnClearLog, x, 134, y, 264, width, 60, height, 19, Visible, TRUE, TextAlign, dtfAlignCenter or dtfAlignMiddle, Caption, 'Clear >>>', OnClick, procOnClearLog

                ; edit boxes
                ObjTemplate tfChild, Label, lblFilename,   x, 4, y, 24,  width, 100, height, 19, Visible, TRUE, TextAlign, dtfAlignLeft or dtfAlignBottom, Caption, 'File name:'
                ObjTemplate tfChild, Edit,  editFilename,  x, 4, y, 44,  width, 190, height, 19, Visible, TRUE, Text, 'test_config.udb'

                ObjTemplate tfChild, Label, lblSignature,  x, 4, y, 64,  width, 100, height, 19, Visible, TRUE, TextAlign, dtfAlignLeft or dtfAlignBottom, Caption, 'Signature:'
                ObjTemplate tfChild, Edit,  editSignature, x, 4, y, 84,  width, 190, height, 19, Visible, TRUE

                ObjTemplate tfChild, Label, lblKey,  x, 4, y, 104,  width, 100, height, 19, Visible, TRUE, TextAlign, dtfAlignLeft or dtfAlignBottom, Caption, 'Full key name:'
                ObjTemplate tfChild, Edit,  editKey, x, 4, y, 124,  width, 190, height, 19, Visible, TRUE, Text, 'dir1|dir2|dir3|key'

                ObjTemplate tfChild,          Label, lblValue, x, 4, y, 144,  width, 100, height, 19, Visible, TRUE, TextAlign, dtfAlignLeft or dtfAlignBottom, Caption, 'Value:'
                ObjTemplate tfChild or tfEnd, Edit,  editValue,    x, 4, y, 164,  width, 190, height, 19, Visible, TRUE
endg



proc PrepareDemo
begin
        stdcall CreateFromTemplate, frmMainForm, 0
        mov     ecx, [Application]
        mov     [ecx+TApplication.MainWindow], frmMain
        return
endp



uglobal
  DataBase dd ?
endg

iglobal
  DataType dd cdtString
endg


proc procOnType, .self, .button
begin
        mov     eax, [.self]
        cmp     eax, [btnTypeString]
        je      .string

        cmp     eax, [btnTypeInt]
        je      .int

        cmp     eax, [btnTypeNull]
        je      .null

        int3

.string:
        mov     [DataType], cdtString
        mov     eax, .txtString
        jmp     .finish

.int:
        mov     [DataType], cdtInteger
        mov     eax, .txtInteger
        jmp     .finish

.null:
        mov     [DataType], cdtNULL
        mov     eax, .txtNull

.finish:
        stdcall Set, [lblDataType], TLabel.Caption, eax
        execute [lblDataType], TLabel.Refresh
        return

.txtString db 'cdtString',0
.txtInteger db 'cdtInteger', 0
.txtNull    db 'cdtNULL', 0
endp


proc procOnClearLog, .self, .button
begin
        execute [editLog], TFreshEdit.Clear
        return
endp


proc procOnListTree, .self, .button
.prolog dd ?
begin
        push    esi

        mov     esi, [DataBase]
        test    esi, esi
        jz      .finish

        execute [editLog], TFreshEdit.Clear

        stdcall StrNew
;        stdcall StrCharCat, eax, $9c94e2
;        stdcall StrCharCat, eax, $8094e2
        stdcall __DoListTree, esi, eax

        execute [editLog], TFreshEdit.Refresh
        stdcall TFreshEdit.__UpdateScrollBars, [editLog]

.finish:
        pop     esi
        return
endp


proc __DoInsChar, .char
begin
        pushad
        execute [editLog], TFreshEdit.InsertChar, [.char]
        popad
        return
endp


proc __DoInsString, .str
begin
        pushad
        execute [editLog], TFreshEdit.InsertString, [.str]
        popad
        return
endp


proc __DoListTree, .array, .prolog
begin
        pushad

        mov     esi, [.array]
        mov     ecx, [esi+TArray.count]
        lea     esi, [esi+TArray.array]

.main_loop:
        test    ecx, ecx
        jz      .finish

        stdcall __DoInsString, [.prolog]

        mov     eax, $9c94e2
        cmp     ecx, 1
        jne     @f
        mov     eax, $9494e2
@@:
        stdcall __DoInsChar, eax
        stdcall __DoInsChar, $8094e2

        mov     ebx, [esi+TConfigRecord.KeyName]

.keynameloop:
        movzx   edx, bl
        stdcall __DoInsChar, edx
        shr     ebx, 8
        jnz     .keynameloop

        cmp     [esi+TConfigRecord.Type], cdtConfig
        je      .next_row

        stdcall __DoInsChar, '='

        cmp     [esi+TConfigRecord.Type], cdtString
        je      .handle_string

        cmp     [esi+TConfigRecord.Type], cdtInteger
        je      .handle_integer

        cmp     [esi+TConfigRecord.Type], cdtNULL
        je      .handle_null

        cmp     [esi+TConfigRecord.Type], cdtBlob
        jne     .next_row
; handle blobs
        stdcall __DoInsString, cBlobValue
        jmp     .next_row

cBlobValue text 'BLOB()'
cNULLValue text 'NULL'

.handle_null:
        stdcall __DoInsString, cNULLValue
        jmp     .next_row

.handle_integer:
        stdcall NumToStr, [esi+TConfigRecord.Data], ntsHex or ntsUnsigned
        push    eax
        stdcall __DoInsChar, '$'
        stdcall __DoInsString, eax
        stdcall StrDel ; from the stack
        jmp     .next_row

.handle_string:
        stdcall __DoInsChar, '"'
        stdcall __DoInsString, [esi+TConfigRecord.Data]
        stdcall __DoInsChar, '"'

.next_row:
        stdcall __DoInsChar, $0d

        cmp     [esi+TConfigRecord.Type], cdtConfig
        jne     .next

        stdcall StrLen, [.prolog]
        push    eax

        mov     eax, $8294e2  ;'|'
        cmp     ecx, 1
        jne     @f
        mov     eax, ' '
@@:
        stdcall StrCharCat, [.prolog], eax
        stdcall StrCharCat, [.prolog], ' '

        stdcall __DoListTree, [esi+TConfigRecord.Data], [.prolog]
        pop     edx

        stdcall StrPtr, [.prolog]
        mov     [eax+string.len], edx
        mov     dword [eax+edx], 0

.next:
        add     esi, sizeof.TConfigRecord
        dec     ecx
        jmp     .main_loop

.finish:
        mov     eax, [editLog]
        push    [eax+TFreshEdit._xCaret] [eax+TFreshEdit._yCaret]
        pop     [eax+TFreshEdit._ySelection] [eax+TFreshEdit._xSelection]
        popad
        return
endp



proc UpdateEdits, .config
.str rd 2
begin
        push    esi
        mov     esi, [.config]

        mov     eax, [esi+TArray.lparam]
        mov     [.str], eax
        mov     [.str+4], 0
        lea     eax, [.str]
        stdcall Set, [editSignature], TEdit.Text, eax

        pop     esi
        return
endp


proc procOnNewDB, .self, .button
begin
        stdcall FreeConfigDB, [DataBase]
        stdcall LoadConfigDB, 0, 'TEST'
        mov     [DataBase], eax

        stdcall UpdateEdits, eax

        stdcall LogMessage, cNewDatabase
        return
endp

cNewDatabase text 'New database created.', 13

proc procOnOpenDB, .self, .button
begin
        stdcall Get, [editFilename], TEdit.Text
        push    eax
        stdcall StrPtr, eax
        stdcall LoadBinaryFile, eax
        jc      .error_file

        mov     esi, eax
        stdcall StrDel ; from the stack

        stdcall FreeConfigDB, [DataBase]
        mov     [DataBase], 0
        stdcall LoadConfigDB, esi, -1
        jnc     .load_ok

        stdcall LogMessage, cErrorLoad

        stdcall FreeMem, esi
        return

.load_ok:
        mov     [DataBase], eax
        stdcall FreeMem, esi
        stdcall UpdateEdits, [DataBase]
        stdcall LogMessage, cLoadedOK
        return

.error_file:
        stdcall LogMessage, cErrorLoadFile
        return
endp

cErrorLoadFile text 'Error loading config database.', 13
cErrorLoad text 'Error parsing config database.', 13
cLoadedOK  text 'Database loaded successfully.', 13

proc LogMessage, .string
begin
        push    eax
        execute [editLog], TFreshEdit.InsertString, [.string]
        mov     eax, [editLog]
        push    [eax+TFreshEdit._xCaret] [eax+TFreshEdit._yCaret]
        pop     [eax+TFreshEdit._ySelection] [eax+TFreshEdit._xSelection]
        execute [editLog], TFreshEdit.Refresh
        stdcall TFreshEdit.__UpdateScrollBars, [editLog]        ; not this
        pop     eax
        return
endp


proc procOnSaveDB, .self, .button
.signature dd ?
begin
        stdcall Get, [editSignature], TEdit.Text
        push    eax
        stdcall StrPtr, eax
        mov     eax, [eax]
        mov     [.signature], eax
        stdcall StrDel ; from the stack

        stdcall Get, [editFilename], TEdit.Text
        mov     ecx, eax
        stdcall StrPtr, ecx
        mov     edx, eax

        stdcall SaveConfigFile, [DataBase], [.signature]
        mov     esi, eax
        lea     eax, [eax+TArray.array]

        mov     ebx, [esi+TArray.count]
        shl     ebx, 2
        stdcall SaveBinaryFile, edx, eax, ebx

        stdcall StrDel, ecx
        stdcall FreeMem, esi

.finish:
        return
endp


; returns edx - array to the directory.
; eax - the key name.

proc __DecodeDirectory, .hstring
begin
        push    ebx ecx esi

        stdcall CreateArray, 4
        mov     edx, eax

        stdcall StrPtr, [.hstring]
        mov     esi, eax

.main_loop:
        mov     ecx, 4
        xor     ebx, ebx

.byteloop:
        lodsb

        cmp     al, '|'
        je      .end_key
        cmp     al, 0
        je      .end_key

        ror     ebx, 8
        mov     bl, al

        loop    .byteloop

.end_key:
        inc     ecx
        shl     ecx, 3
        ror     ebx, cl

        test    al, al
        jz      .finish

        cmp     al, '|'
        je      .nameok

.search:
        lodsb
        test    al, al
        jz      .finish
        cmp     al, '|'
        jne     .search

.nameok:
        stdcall AddArrayItems, edx, 1
        mov     [eax], ebx
        jmp     .main_loop

.finish:
        stdcall AddArrayItems, edx, 1
        mov     dword [eax], 0
        mov     eax, ebx

        pop     esi ecx ebx
        return
endp





proc procOnWrite, .self, .button
begin
        push    eax ebx ecx edx

        cmp     [DataBase], 0
        je      .finish

; value
        stdcall Get, [editValue], TEdit.Text
        mov     ebx, eax

        cmp     [DataType], cdtNULL
        je      .null_handling

        cmp     [DataType], cdtInteger
        je      .int_handling

        cmp     [DataType], cdtString
        jne     .finish

; string handling.
        xor     ecx, ecx
        jmp     .continue

.int_handling:
        stdcall StrToNumEx, ebx
        stdcall StrDel, ebx
        mov     ebx, eax
        mov     ecx, 4
        jmp     .continue

.null_handling:
        stdcall StrDel, ebx
        xor     ebx, ebx
        xor     ecx, ecx

; key
.continue:
        stdcall Get, [editKey], TEdit.Text
        push    eax

        stdcall __DecodeDirectory, eax
        stdcall StrDel ; from the stack

        push    edx
        lea     edx, [edx+TArray.array]
        stdcall SetConfigParam, DataBase, edx, eax, [DataType], ebx, ecx
        stdcall FreeMem ; from the stack

        cmp     [DataType], cdtString
        jne     @f
        stdcall StrDel, ebx
@@:
        stdcall Set, [editValue], TEdit.Text, 0

.finish:
        pop     edx ecx ebx eax
        return
endp


proc procOnRead, .self, .button
begin
        push    eax
        cmp     [DataBase], 0
        je      .finish

; key
        stdcall Get, [editKey], TEdit.Text
        push    eax
        stdcall __DecodeDirectory, eax
        stdcall StrDel ; from the stack

        push    edx
        lea     edx, [edx+TArray.array]
        stdcall GetConfigParam.AsString, [DataBase], edx, eax
        stdcall FreeMem ; from the stack

        test    eax, eax
        jz      .not_found

        push    eax
        stdcall Set, [editValue], TEdit.Text, eax
        stdcall StrDel ; from the stack.

.finish:
        pop     eax
        return

.not_found:
        stdcall Set, [editValue], TEdit.Text, cNotAvailable
        jmp     .finish
endp

cNotAvailable text 'Not available'


proc procOnDelete, .self, .button
begin
        push    eax ebx ecx edx

        cmp     [DataBase], 0
        je      .finish

; key
        stdcall Get, [editKey], TEdit.Text
        push    eax

        stdcall __DecodeDirectory, eax
        stdcall StrDel ; from the stack

        push    edx
        lea     edx, [edx+TArray.array]
        stdcall DelCongigParam, DataBase, edx, eax
        stdcall FreeMem ; from the stack

.finish:
        pop     edx ecx ebx eax
        return
endp



