; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;   Description: This test source provides some testing of the keyboard facilities
;                of FreshLib
;
;   Target OS: All/Linux/Win32 - depending on current test needs.
;
;   Dependencies:
;
;   Notes: The main test program calls "PrepareDemo" procedure.
;_________________________________________________________________________________________

__TestGround:

; Global data...
iglobal

__TestData:

frmMainForm:
        ObjTemplate  tfEnd, Form, frmMain, \
                     x, 100,        \
                     y, 50,         \
                     width, 120,    \
                     height, 80,   \
                     Visible, TRUE, \
                     OnKeyPress, MainKeyPressed,        \
                     Caption, 'FreshLib minimal application test.'

__TestDataSize = $ - __TestData
endg






cKeyMessage text 'Key pressed:'
cCRLF       db   13, 10, 0
cSpace      db   '  ', 0



proc MainKeyPressed, .self, .keyevent
begin
        mov     esi, [.self]
        mov     edi, [.keyevent]

        stdcall Output, cKeyMessage
        stdcall OutputNumber, [edi+TKeyboardEvent.key], 16, 8
        stdcall Output, cSpace
        stdcall OutputNumber, [edi+TKeyboardEvent.scancode], 16, 8
        stdcall Output, cSpace
        stdcall OutputNumber, [edi+TKeyboardEvent.kbdStatus], 16, 8
        stdcall Output, cCRLF
        return
endp








proc PrepareDemo
begin
        stdcall CreateFromTemplate, frmMainForm, 0
        mov     ecx, [Application]
        mov     [ecx+TApplication.MainWindow], frmMain

        return
endp












DispSize 'Test ground dummy code', ($-__TestGround)+__TestDataSize